Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1354664

Summary: python-openstackclient: openstack openstackclient.common.utils is deprecated
Product: Red Hat OpenStack Reporter: Alexander Chuzhoy <sasha>
Component: python-openstackclientAssignee: Julie Pichon <jpichon>
Status: CLOSED CURRENTRELEASE QA Contact: Ola Pavlenko <opavlenk>
Severity: low Docs Contact:
Priority: low    
Version: 10.0 (Newton)CC: apevec, belwell, dtrainor, dyasny, lhh, opavlenk, srevivo
Target Milestone: ---Keywords: Triaged, ZStream
Target Release: 10.0 (Newton)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-23 15:54:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexander Chuzhoy 2016-07-11 22:14:39 UTC
python-openstackclient:  openstack openstackclient.common.utils is deprecated 

Environment:
python-openstackclient-2.6.1-0.20160706112804.1b05a6d.el7ost.noarch

Steps to reproduce:
1. Deploy undercloud
2. Run various openstack commands, for example:
[stack@instack ~]$ openstack overcloud image upload
WARNING: openstackclient.common.utils is deprecated and will be removed after Jun 2017. Please use osc_lib.utils
WARNING: openstackclient.common.exceptions is deprecated and will be removed after Jun 2017. Please use osc_lib.exceptions

openstack stack list
WARNING: openstackclient.common.utils is deprecated and will be removed after Jun 2017. Please use osc_lib.utils

Expected result:
No warnings as a result of using the new library.

Comment 2 Red Hat Bugzilla Rules Engine 2017-02-22 15:52:10 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 3 Red Hat Bugzilla Rules Engine 2017-02-22 15:52:30 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 4 Julie Pichon 2017-08-23 15:54:14 UTC
This was fixed in OSP10 in a later version of the client.

$ rpm -qa python-openstackclient
python-openstackclient-3.2.1-1.el7ost.noarch

$  openstack overcloud image upload
Image "overcloud-full-vmlinuz" is up-to-date, skipping.
Image "overcloud-full-initrd" is up-to-date, skipping.[...]

$ openstack stack list
+------------------------+------------+---------------+----------------------+----------------------+
| ID                     | Stack Name | Stack Status  | Creation Time        | Updated Time         |
+------------------------+------------+---------------+----------------------+----------------------+
[...]